Subject: RE: bug#24707: 25.1; Window shrinks automatically after opening at normal size

From: "Ivor Durham" <[email-masked]>
Date: Mon, 31 Oct 2016 09:39:49 -0700

I used "git clone git://git.savannah.gnu.org/emacs.git" to clone and build
emacs which produced version 26.0.50.1. I used the following command to
configure it to get past some missing packages:

./configure --without-makeinfo --with-xpm=no --with-gif=no --with-gnutls=no

Running src/emacs -Q and src/emacs -q (shows the logo graphic) without doing
a full install both work as expected without resizing the window.

How do I fetch the 25.1 sources to try to reproduce & debug the problem with
the same version that is actually exhibiting the problem?

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Wednesday, October 26, 2016 12:50 PM
To: Ivor Durham
Cc: [email-masked]; [email-masked]
Subject: Re: bug#24707: 25.1; Window shrinks automatically after opening at
normal size

> From: "Ivor Durham" <[email-masked]>
> Cc: <[email-masked]>,
> 	<[email-masked]>
> Date: Wed, 26 Oct 2016 12:30:21 -0700
> 
> So I can think of a couple of ways to try to diagnose this:
> - Enable telnet into the workstation and use it instead of ssh so I 
> can capture unencrypted network traffic with Wireshark to see if the X 
> protocol communication reveals anything unusual.
> - Try to build a debugging version of Emacs 25.1 locally, reproduce 
> the problem and then use gdb to break on whatever resize calls there 
> are to find what parameters are being passed and where they come from. 
> I know nothing about the Emacs implementation so this could be a bit of a
time sink.
> 
> Any other ideas on how I should approach this?

The second approach is IMO the right one.  I think if you put a breakpoint
in adjust_frame_size, you will see all the resizes.